Package org.apache.activemq.artemis.journal

## Interface ActiveMQJournalLogger

- All Superinterfaces:
    `org.jboss.logging.BasicLogger`
  All Known Implementing Classes:
    `ActiveMQJournalLogger_$logger`

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJournalLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 14 each message id must be 6 digits long starting with 14, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 141000 to 141999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJournalLogger` | `LOGGER` | The journal logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `callbackError​(java.lang.String error)` |
    `void` | `cantOpenFileTimeout​(long timeout)` |
    `void` | `checkFiles()` |
    `void` | `compactingWithNoAddRecord​(java.lang.Long id)` |
    `void` | `compactMergeError​(java.lang.Long id)` |
    `void` | `compactReadError​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `void` | `couldNotCompleteTask​(java.lang.Exception e, java.lang.String name)` |
    `void` | `couldNotGetLock​(java.lang.String fileName)` |
    `void` | `couldNotRemoveFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `void` | `couldNotStopCompactor()` |
    `void` | `couldNotStopJournalAppendExecutor()` |
    `void` | `couldNotStopJournalExecutor()` |
    `void` | `criticalIO​(java.lang.String message, java.lang.Exception error)` |
    `void` | `currentFile​(java.lang.Long fileID, java.lang.Long id, java.lang.Long fileFileID, java.lang.Boolean b)` |
    `void` | `deletingFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `void` | `deletingOrphanedFile​(java.lang.String fileToDelete)` |
    `void` | `errorCallingErrorCallback​(java.lang.Throwable e)` |
    `void` | `errorClosingFile​(java.lang.String fileToDelete)` |
    `void` | `errorClosingFile​(java.lang.Throwable e)` |
    `void` | `errorCompacting​(java.lang.Throwable e)` |
    `void` | `errorCompletingCallback​(java.lang.Throwable e)` |
    `void` | `errorDeletingFile​(java.lang.Object e)` |
    `void` | `errorOnIOCallback​(java.lang.String errorMessage)` |
    `void` | `errorOpeningFile​(java.lang.Throwable e)` |
    `void` | `errorPushingFile​(java.lang.Exception e)` |
    `void` | `errorReadingFile​(java.lang.Throwable e)` |
    `void` | `errorReinitializingFile​(java.lang.Throwable e, org.apache.activemq.artemis.core.journal.impl.JournalFile file)` |
    `void` | `errorReplayingCommands​(java.lang.Throwable e)` |
    `void` | `errorRetrievingID​(java.lang.Throwable e, java.lang.String fileName)` |
    `void` | `errorSchedulingCompacting​(java.lang.Throwable e)` |
    `void` | `errorStartingPoller​(java.lang.Exception e)` |
    `void` | `errorSubmittingWrite​(java.lang.Throwable e)` |
    `void` | `errorWritingData​(java.lang.Throwable e, java.lang.String errorMessage, java.lang.Integer errorCode)` |
    `void` | `failedToAddFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)` |
    `void` | `failedToPerfBlast​(java.lang.Throwable e)` |
    `void` | `fileFinalizedWhileOpen​(java.lang.String fileName)` |
    `void` | `fileIdOutOfOrder()` |
    `void` | `fileTooSmall()` |
    `void` | `flushRate​(java.lang.Double rate)` |
    `void` | `ignoringShortFile​(java.lang.String fileName)` |
    `void` | `incompatibleNativeLibrary()` |
    `void` | `inconsistencyDuringCompacting​(java.lang.Long transactionID)` |
    `void` | `inconsistencyDuringCompactingDelete​(java.lang.Long recordID)` |
    `void` | `initializingJdbcDataSource​(java.lang.String dataSourceClassName, java.lang.String dataSourceProperties)` |
    `void` | `ioError​(int errorCode, java.lang.String errorMessage)` |
    `void` | `movingFileToAttic​(java.lang.String fileName)` |
    `void` | `noRecordDuringCompactReplay​(java.lang.Long id)` |
    `void` | `preparedTXIncomplete​(java.lang.Long id)` |
    `void` | `runningJournalBlast​(java.lang.Integer numIts)` |
    `void` | `seqOutOfOrder()` |
    `void` | `startingThread()` |
    `void` | `tempFilesLeftOpen()` |
    `void` | `timeoutOnPollerShutdown​(java.lang.Exception e)` |
    `void` | `timeoutOnWriterShutdown​(java.lang.Throwable e)` |
    `void` | `txMissingElements​(java.lang.Long id)` |
    `void` | `uncomittedTxFound​(java.lang.Long id)` |
    `void` | `writeRate​(java.lang.Double rate, java.lang.Long l)` |

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJournalLogger LOGGER

      The journal logger.

  - ### Method Detail

    - #### runningJournalBlast

          @LogMessage(level=INFO)
          @Message(id=141000,
                   value="*** running direct journal blast: {0}",
                   format=MESSAGE_FORMAT)
          void runningJournalBlast​(java.lang.Integer numIts)

    - #### startingThread

          @LogMessage(level=INFO)
          @Message(id=141002,
                   value="starting thread for sync speed test",
                   format=MESSAGE_FORMAT)
          void startingThread()

    - #### writeRate

          @LogMessage(level=INFO)
          @Message(id=141003,
                   value="Write rate = {0} bytes / sec or {1} MiB / sec",
                   format=MESSAGE_FORMAT)
          void writeRate​(java.lang.Double rate,
                         java.lang.Long l)

    - #### flushRate

          @LogMessage(level=INFO)
          @Message(id=141004,
                   value="Flush rate = {0} flushes / sec",
                   format=MESSAGE_FORMAT)
          void flushRate​(java.lang.Double rate)

    - #### checkFiles

          @LogMessage(level=INFO)
          @Message(id=141005,
                   value="Check Data Files:",
                   format=MESSAGE_FORMAT)
          void checkFiles()

    - #### seqOutOfOrder

          @LogMessage(level=INFO)
          @Message(id=141006,
                   value="Sequence out of order on journal",
                   format=MESSAGE_FORMAT)
          void seqOutOfOrder()

    - #### currentFile

          @LogMessage(level=INFO)
          @Message(id=141007,
                   value="Current File on the journal is <= the sequence file.getFileID={0} on the dataFiles\nCurrentfile.getFileId={1} while the file.getFileID()={2}\nIs same = ({3})",
                   format=MESSAGE_FORMAT)
          void currentFile​(java.lang.Long fileID,
                           java.lang.Long id,
                           java.lang.Long fileFileID,
                           java.lang.Boolean b)

    - #### fileIdOutOfOrder

          @LogMessage(level=INFO)
          @Message(id=141008,
                   value="Free File ID out of order",
                   format=MESSAGE_FORMAT)
          void fileIdOutOfOrder()

    - #### fileTooSmall

          @LogMessage(level=INFO)
          @Message(id=141009,
                   value="A Free File is less than the maximum data",
                   format=MESSAGE_FORMAT)
          void fileTooSmall()

    - #### initializingJdbcDataSource

          @LogMessage(level=INFO)
          @Message(id=141010,
                   value="Initialising JDBC data source {0} with properties {1}",
                   format=MESSAGE_FORMAT)
          void initializingJdbcDataSource​(java.lang.String dataSourceClassName,
                                          java.lang.String dataSourceProperties)

    - #### incompatibleNativeLibrary

          @LogMessage(level=WARN)
          @Message(id=142000,
                   value="You have a native library with a different version than expected",
                   format=MESSAGE_FORMAT)
          void incompatibleNativeLibrary()

    - #### couldNotGetLock

          @LogMessage(level=WARN)
          @Message(id=142001,
                   value="Could not get lock after 60 seconds on closing Asynchronous File: {0}",
                   format=MESSAGE_FORMAT)
          void couldNotGetLock​(java.lang.String fileName)

    - #### fileFinalizedWhileOpen

          @LogMessage(level=WARN)
          @Message(id=142002,
                   value="Asynchronous File: {0} being finalized with opened state",
                   format=MESSAGE_FORMAT)
          void fileFinalizedWhileOpen​(java.lang.String fileName)

    - #### callbackError

          @LogMessage(level=WARN)
          @Message(id=142003,
                   value="AIO Callback Error: {0}",
                   format=MESSAGE_FORMAT)
          void callbackError​(java.lang.String error)

    - #### inconsistencyDuringCompacting

          @LogMessage(level=WARN)
          @Message(id=142004,
                   value="Inconsistency during compacting: CommitRecord ID = {0} for an already committed transaction during compacting",
                   format=MESSAGE_FORMAT)
          void inconsistencyDuringCompacting​(java.lang.Long transactionID)

    - #### inconsistencyDuringCompactingDelete

          @LogMessage(level=WARN)
          @Message(id=142005,
                   value="Inconsistency during compacting: Delete record being read on an existent record (id={0})",
                   format=MESSAGE_FORMAT)
          void inconsistencyDuringCompactingDelete​(java.lang.Long recordID)

    - #### compactingWithNoAddRecord

          @LogMessage(level=WARN)
          @Message(id=142006,
                   value="Could not find add Record information for record {0} during compacting",
                   format=MESSAGE_FORMAT)
          void compactingWithNoAddRecord​(java.lang.Long id)

    - #### noRecordDuringCompactReplay

          @LogMessage(level=WARN)
          @Message(id=142007,
                   value="Can not find record {0} during compact replay",
                   format=MESSAGE_FORMAT)
          void noRecordDuringCompactReplay​(java.lang.Long id)

    - #### couldNotRemoveFile

          @LogMessage(level=WARN)
          @Message(id=142008,
                   value="Could not remove file {0} from the list of data files",
                   format=MESSAGE_FORMAT)
          void couldNotRemoveFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### deletingFile

          @LogMessage(level=WARN)
          @Message(id=142009,
                   value="*******************************************************************************************************************************\nThe File Storage Attic is full, as the file {0}  does not have the configured size, and the file will be removed\n*******************************************************************************************************************************",
                   format=MESSAGE_FORMAT)
          void deletingFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### failedToAddFile

          @LogMessage(level=WARN)
          @Message(id=142010,
                   value="Failed to add file to opened files queue: {0}. This should NOT happen!",
                   format=MESSAGE_FORMAT)
          void failedToAddFile​(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)

    - #### compactReadError

          @LogMessage(level=WARN)
          @Message(id=142011,
                   value="Error on reading compacting for {0}",
                   format=MESSAGE_FORMAT)
          void compactReadError​(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### compactMergeError

          @LogMessage(level=WARN)
          @Message(id=142012,
                   value="Couldn\'\'t find tx={0} to merge after compacting",
                   format=MESSAGE_FORMAT)
          void compactMergeError​(java.lang.Long id)

    - #### preparedTXIncomplete

          @LogMessage(level=WARN)
          @Message(id=142013,
                   value="Prepared transaction {0} was not considered completed, it will be ignored",
                   format=MESSAGE_FORMAT)
          void preparedTXIncomplete​(java.lang.Long id)

    - #### txMissingElements

          @LogMessage(level=WARN)
          @Message(id=142014,
                   value="Transaction {0} is missing elements so the transaction is being ignored",
                   format=MESSAGE_FORMAT)
          void txMissingElements​(java.lang.Long id)

    - #### uncomittedTxFound

          @LogMessage(level=WARN)
          @Message(id=142015,
                   value="Uncommitted transaction with id {0} found and discarded",
                   format=MESSAGE_FORMAT)
          void uncomittedTxFound​(java.lang.Long id)

    - #### couldNotStopCompactor

          @LogMessage(level=WARN)
          @Message(id=142016,
                   value="Could not stop compactor executor after 120 seconds",
                   format=MESSAGE_FORMAT)
          void couldNotStopCompactor()

    - #### couldNotStopJournalExecutor

          @LogMessage(level=WARN)
          @Message(id=142017,
                   value="Could not stop journal executor after 60 seconds",
                   format=MESSAGE_FORMAT)
          void couldNotStopJournalExecutor()

    - #### tempFilesLeftOpen

          @LogMessage(level=WARN)
          @Message(id=142018,
                   value="Temporary files were left unattended after a crash on journal directory, deleting invalid files now",
                   format=MESSAGE_FORMAT)
          void tempFilesLeftOpen()

    - #### deletingOrphanedFile

          @LogMessage(level=WARN)
          @Message(id=142019,
                   value="Deleting orphaned file {0}",
                   format=MESSAGE_FORMAT)
          void deletingOrphanedFile​(java.lang.String fileToDelete)

    - #### errorClosingFile

          @LogMessage(level=WARN)
          @Message(id=142020,
                   value="Could not get lock after 60 seconds on closing Asynchronous File: {0}",
                   format=MESSAGE_FORMAT)
          void errorClosingFile​(java.lang.String fileToDelete)

    - #### errorOnIOCallback

          @LogMessage(level=WARN)
          @Message(id=142021,
                   value="Error on IO callback, {0}",
                   format=MESSAGE_FORMAT)
          void errorOnIOCallback​(java.lang.String errorMessage)

    - #### timeoutOnPollerShutdown

          @LogMessage(level=WARN)
          @Message(id=142022,
                   value="Timed out on AIO poller shutdown",
                   format=MESSAGE_FORMAT)
          void timeoutOnPollerShutdown​(@Cause
                                       java.lang.Exception e)

    - #### couldNotCompleteTask

          @LogMessage(level=WARN)
          @Message(id=142023,
                   value="Executor on file {0} couldn\'\'t complete its tasks in 60 seconds.",
                   format=MESSAGE_FORMAT)
          void couldNotCompleteTask​(@Cause
                                    java.lang.Exception e,
                                    java.lang.String name)

    - #### errorCompletingCallback

          @LogMessage(level=WARN)
          @Message(id=142024,
                   value="Error completing callback",
                   format=MESSAGE_FORMAT)
          void errorCompletingCallback​(@Cause
                                       java.lang.Throwable e)

    - #### errorCallingErrorCallback

          @LogMessage(level=WARN)
          @Message(id=142025,
                   value="Error calling onError callback",
                   format=MESSAGE_FORMAT)
          void errorCallingErrorCallback​(@Cause
                                         java.lang.Throwable e)

    - #### timeoutOnWriterShutdown

          @LogMessage(level=WARN)
          @Message(id=142026,
                   value="Timed out on AIO writer shutdown",
                   format=MESSAGE_FORMAT)
          void timeoutOnWriterShutdown​(@Cause
                                       java.lang.Throwable e)

    - #### errorWritingData

          @LogMessage(level=WARN)
          @Message(id=142027,
                   value="Error on writing data! {0} code - {1}",
                   format=MESSAGE_FORMAT)
          void errorWritingData​(@Cause
                                java.lang.Throwable e,
                                java.lang.String errorMessage,
                                java.lang.Integer errorCode)

    - #### errorReplayingCommands

          @LogMessage(level=WARN)
          @Message(id=142028,
                   value="Error replaying pending commands after compacting",
                   format=MESSAGE_FORMAT)
          void errorReplayingCommands​(@Cause
                                      java.lang.Throwable e)

    - #### errorClosingFile

          @LogMessage(level=WARN)
          @Message(id=142029,
                   value="Error closing file",
                   format=MESSAGE_FORMAT)
          void errorClosingFile​(@Cause
                                java.lang.Throwable e)

    - #### errorOpeningFile

          @LogMessage(level=WARN)
          @Message(id=142030,
                   value="Could not open a file in 60 Seconds",
                   format=MESSAGE_FORMAT)
          void errorOpeningFile​(@Cause
                                java.lang.Throwable e)

    - #### errorRetrievingID

          @LogMessage(level=WARN)
          @Message(id=142031,
                   value="Error retrieving ID part of the file name {0}",
                   format=MESSAGE_FORMAT)
          void errorRetrievingID​(@Cause
                                 java.lang.Throwable e,
                                 java.lang.String fileName)

    - #### errorReadingFile

          @LogMessage(level=WARN)
          @Message(id=142032,
                   value="Error reading journal file",
                   format=MESSAGE_FORMAT)
          void errorReadingFile​(@Cause
                                java.lang.Throwable e)

    - #### errorReinitializingFile

          @LogMessage(level=WARN)
          @Message(id=142033,
                   value="Error reinitializing file {0}",
                   format=MESSAGE_FORMAT)
          void errorReinitializingFile​(@Cause
                                       java.lang.Throwable e,
                                       org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### errorSubmittingWrite

          @LogMessage(level=WARN)
          @Message(id=142034,
                   value="Exception on submitting write",
                   format=MESSAGE_FORMAT)
          void errorSubmittingWrite​(@Cause
                                    java.lang.Throwable e)

    - #### couldNotStopJournalAppendExecutor

          @LogMessage(level=WARN)
          @Message(id=142035,
                   value="Could not stop journal append executor after 60 seconds",
                   format=MESSAGE_FORMAT)
          void couldNotStopJournalAppendExecutor()

    - #### errorDeletingFile

          @LogMessage(level=ERROR)
          @Message(id=144000,
                   value="Failed to delete file {0}",
                   format=MESSAGE_FORMAT)
          void errorDeletingFile​(java.lang.Object e)

    - #### errorStartingPoller

          @LogMessage(level=ERROR)
          @Message(id=144001,
                   value="Error starting poller",
                   format=MESSAGE_FORMAT)
          void errorStartingPoller​(@Cause
                                   java.lang.Exception e)

    - #### errorPushingFile

          @LogMessage(level=ERROR)
          @Message(id=144002,
                   value="Error pushing opened file",
                   format=MESSAGE_FORMAT)
          void errorPushingFile​(@Cause
                                java.lang.Exception e)

    - #### errorCompacting

          @LogMessage(level=ERROR)
          @Message(id=144003,
                   value="Error compacting",
                   format=MESSAGE_FORMAT)
          void errorCompacting​(@Cause
                               java.lang.Throwable e)

    - #### errorSchedulingCompacting

          @LogMessage(level=ERROR)
          @Message(id=144004,
                   value="Error scheduling compacting",
                   format=MESSAGE_FORMAT)
          void errorSchedulingCompacting​(@Cause
                                         java.lang.Throwable e)

    - #### failedToPerfBlast

          @LogMessage(level=ERROR)
          @Message(id=144005,
                   value="Failed to performance blast",
                   format=MESSAGE_FORMAT)
          void failedToPerfBlast​(@Cause
                                 java.lang.Throwable e)

    - #### ioError

          @LogMessage(level=ERROR)
          @Message(id=144006,
                   value="IOError code {0}, {1}",
                   format=MESSAGE_FORMAT)
          void ioError​(int errorCode,
                       java.lang.String errorMessage)

    - #### ignoringShortFile

          @LogMessage(level=WARN)
          @Message(id=144007,
                   value="Ignoring journal file {0}: file is shorter then minimum header size. This file is being removed.",
                   format=MESSAGE_FORMAT)
          void ignoringShortFile​(java.lang.String fileName)

    - #### movingFileToAttic

          @LogMessage(level=WARN)
          @Message(id=144008,
                   value="*******************************************************************************************************************************\nFile {0}: was moved under attic, please review it and remove it.\n*******************************************************************************************************************************",
                   format=MESSAGE_FORMAT)
          void movingFileToAttic​(java.lang.String fileName)

    - #### cantOpenFileTimeout

          @LogMessage(level=WARN)
          @Message(id=144009,
                   value="Could not get a file in {0} seconds, System will retry the open but you may see increased latency in your system",
                   format=MESSAGE_FORMAT)
          void cantOpenFileTimeout​(long timeout)

    - #### criticalIO

          @LogMessage(level=WARN)
          @Message(id=144010,
                   value="Critical IO Exception happened: {0}",
                   format=MESSAGE_FORMAT)
          void criticalIO​(java.lang.String message,
                          @Cause
                          java.lang.Exception error)